version: "3.8"

services:
  localstack:
    image: localstack/localstack:0.11.4
    ports:
      - "4566:4566"
      - "4571:4571"
    environment:
      - SERVICES=sns,sqs,s3
      - PORT_WEB_UI=12800
      - DATA_DIR=/tmp/localstack/data
      - DOCKER_HOST=unix:///var/run/docker.sock
      - AWS_ACCESS_KEY_ID=key
      - AWS_SECRET_ACCESS_KEY=secret
    volumes:
      - ./localstack-init:/docker-entrypoint-initaws.d
  splunk:
    image: splunk/splunk:latest
    container_name: splunkForAws
    environment:
      - SPLUNK_START_ARGS=--accept-license
      - SPLUNK_PASSWORD=my_splunk_password
    ports:
      - "8000:8000" # Splunk Web Interface
      - "8089:8089" # Splunk Management Port
      - "8088:8088" # HTTP Event Collector (HEC) port
      - "8080:8080" # HTTP Event Collector (HEC) port
